# Created by pyp2rpm-3.3.3
%global pypi_name guzzle_sphinx_theme

Name:           python-%{pypi_name}
Version:        0.7.11
Release:        1%{?dist}
Summary:        Sphinx theme used by Guzzle

License:        None
URL:            https://github.com/guzzle/guzzle_sphinx_theme
Source0:        %{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 Guzzle Sphinx Theme Sphinx theme used by Guzzle: Install via pip:: $ pip
install guzzle_sphinx_themeor if you have the code checked out locally:: $
python setup.py installConfiguration Add the following to your conf.py:.. code-
block:: python import guzzle_sphinx_theme Adds an HTML table visitor to apply
Bootstrap table classes html_translator_class
'guzzle_sphinx_theme.HTMLTranslator'...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(sphinx) >= 1.2b1
%description -n python3-%{pypi_name}
 Guzzle Sphinx Theme Sphinx theme used by Guzzle: Install via pip:: $ pip
install guzzle_sphinx_themeor if you have the code checked out locally:: $
python setup.py installConfiguration Add the following to your conf.py:.. code-
block:: python import guzzle_sphinx_theme Adds an HTML table visitor to apply
Bootstrap table classes html_translator_class
'guzzle_sphinx_theme.HTMLTranslator'...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/LICENSE.txt LICENSE
%doc guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/ReadMe.html guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/README.md guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/SourceSerifProReadMe.html README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Sep 29 2021 Aram Minasyan <aram.minasyan@yahoo.com> - 0.7.11-1
- Initial package.
